package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备对象 sys_device
 * 
 * @author ruoyi
 * @date 2023-08-14
 */
public class SysDevice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long deviceId;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 设备状态 */
    @Excel(name = "设备状态")
    private String status;

    /** 客户端 */
    @Excel(name = "客户端")
    private Boolean client;

    /** ip */
    @Excel(name = "ip")
    private String ip;

    /** 端口 */
    @Excel(name = "端口")
    private Long port;

    /** 连接类型 */
    @Excel(name = "连接类型")
    private String connectionType;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String deviceType;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String deviceNo;

    private String topic;

    private String heartbeat;

    private Boolean openHeartbeat;

    private Boolean enable;

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getHeartbeat() {
        return heartbeat;
    }

    public void setHeartbeat(String heartbeat) {
        this.heartbeat = heartbeat;
    }

    public Boolean getOpenHeartbeat() {
        return openHeartbeat;
    }

    public void setOpenHeartbeat(Boolean openHeartbeat) {
        this.openHeartbeat = openHeartbeat;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() 
    {
        return deviceId;
    }
    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setClient(Boolean client)
    {
        this.client = client;
    }

    public Boolean getClient()
    {
        return client;
    }
    public void setIp(String ip) 
    {
        this.ip = ip;
    }

    public String getIp() 
    {
        return ip;
    }
    public void setPort(Long port) 
    {
        this.port = port;
    }

    public Long getPort() 
    {
        return port;
    }
    public void setConnectionType(String connectionType) 
    {
        this.connectionType = connectionType;
    }

    public String getConnectionType() 
    {
        return connectionType;
    }
    public void setDeviceType(String deviceType) 
    {
        this.deviceType = deviceType;
    }

    public String getDeviceType() 
    {
        return deviceType;
    }
    public void setDeviceNo(String deviceNo) 
    {
        this.deviceNo = deviceNo;
    }

    public String getDeviceNo() 
    {
        return deviceNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceId", getDeviceId())
            .append("deviceName", getDeviceName())
            .append("status", getStatus())
            .append("client", getClient())
            .append("ip", getIp())
            .append("port", getPort())
            .append("connectionType", getConnectionType())
            .append("deviceType", getDeviceType())
            .append("deviceNo", getDeviceNo())
            .toString();
    }
}
